--------------------------------------------------------------------------------
-- Title   : Registers initiation values
-- Project : TimEX3
--------------------------------------------------------------------------------
-- Description : values puts in the cPCI registers at statup or after a reset.
--               Any signals having a identical init value to the cPCI register
--               is definied here
--------------------------------------------------------------------------------
-- File     : registers_init.vhdl
-- Revision : x.x.x
-- Created  : March 06, 2013
-- Updated  : April 12, 2013
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2012 - 2013 Synchrotron Soleil
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package registers_init is

  ------------------------------------------------------------------------------
  -- Registers init values
  ------------------------------------------------------------------------------
  -- Write registers
  constant c_test_reg_init    : std_logic_vector (31 downto 0) := X"00000000";
  constant c_status_reg_init  : std_logic_vector (29 downto 0) := "000000000000000000000000000000";
  constant c_cmd_reg_init     : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister0_init  : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister1_init, c_dupMissingPulseDelay_init : std_logic_vector (31 downto 0) := X"000493E0";
  constant c_wRegister2_init, c_topUpHoldOffMaxDelay_init : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister3_init, c_topUpHoldOnMaxDelay_init  : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister4_init, c_topUpGateHoldOff_init     : std_logic_vector (31 downto 0) := X"000001F4";
  constant c_wRegister5_init, c_topUpGateWidth_init       : std_logic_vector (31 downto 0) := X"000001F4";
  constant c_wRegister6_init  : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister7_init, c_linacMPMissingPulseDelay_init  : std_logic_vector (31 downto 0) := X"000493E0";
  constant c_wRegister8_init  : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister9_init  : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister10_init : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister11_init : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister12_init : std_logic_vector (31 downto 0) := X"00000000";
  constant c_wRegister13_init : std_logic_vector (31 downto 0) := X"00000000";

  constant c_board_id         : std_logic_vector (31 downto 0) := X"4AC0FA5C"; -- board ID for TimEX3
  constant c_firmware_rev     : std_logic_vector (31 downto 0) := X"00000064"; -- firmware's version

end package registers_init;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package body registers_init is

end package body registers_init;

